> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Activity

> Get activity log for a specific card.



## OpenAPI

````yaml /openapi.json get /api/v1/cards/{card_id}/activity
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/cards/{card_id}/activity:
    get:
      tags:
        - cards
      summary: Get Card Activity
      description: Get activity log for a specific card.
      operationId: get_card_activity_api_v1_cards__card_id__activity_get
      parameters:
        - in: path
          name: card_id
          required: true
          schema:
            title: Card Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ActivityLogResponse'
                title: Response Get Card Activity Api V1 Cards  Card Id  Activity Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ActivityLogResponse:
      description: Schema for activity log response.
      properties:
        action:
          title: Action
          type: string
        actor_id:
          title: Actor Id
          type: string
        actor_name:
          title: Actor Name
          type: string
        actor_type:
          title: Actor Type
          type: string
        board_id:
          title: Board Id
          type: string
        card_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Card Id
        created_at:
          format: date-time
          title: Created At
          type: string
        details:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Details
        id:
          title: Id
          type: string
      required:
        - id
        - board_id
        - card_id
        - action
        - actor_type
        - actor_id
        - actor_name
        - details
        - created_at
      title: ActivityLogResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````